---
title: HTMLIFrameElement.featurePolicy
slug: Web/API/HTMLIFrameElement/featurePolicy
tags:
  - API
  - Feature Policy
  - Feature-Policy
  - HTMLIFrameElement
  - Policy
  - Property
---
<div>{{APIRef("Feature Policy API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>featurePolicy</code></strong> read-only property of the {{DOMxRef("HTMLIFrameElement")}} interface returns the {{DOMxRef("FeaturePolicy")}} interface which provides a simple API for introspecting the feature policies applied to a specific frame.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var policy = <em>HTMLIFrameElement</em>.featurePolicy</pre>

<h3 id="Value">Value</h3>

<p>A <a href="/en-US/docs/Web/API/FeaturePolicy" title="Note: This interface is called Policy in Firefox."><code>FeaturePolicy</code></a> object that can be used to inspect the Feature Policy settings applied to the frame.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Feature Policy")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLIFrameElement.featurePolicy")}}</p>
